Package com.explodingpixels.macwidgets.plaf

## Class IAppScrollBarUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.ScrollBarUI
    - - javax.swing.plaf.basic.BasicScrollBarUI
      - - com.explodingpixels.widgets.plaf.SkinnableScrollBarUI
        - - com.explodingpixels.macwidgets.plaf.IAppScrollBarUI

All Implemented Interfaces:
  `java.awt.LayoutManager`, `javax.swing.SwingConstants`

    public class IAppScrollBarUI
    extends SkinnableScrollBarUI

Creates an iApp style scroll bar, either horizontal or vertical based on `JScrollBar.getOrientation()`.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.explodingpixels.widgets.plaf.SkinnableScrollBarUI

`SkinnableScrollBarUI.CustomArrowButtonListener, SkinnableScrollBarUI.ScrollBarSkinProvider`

### Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicScrollBarUI

`javax.swing.plaf.basic.BasicScrollBarUI.ArrowButtonListener, javax.swing.plaf.basic.BasicScrollBarUI.ModelListener, javax.swing.plaf.basic.BasicScrollBarUI.PropertyChangeHandler, javax.swing.plaf.basic.BasicScrollBarUI.ScrollListener, javax.swing.plaf.basic.BasicScrollBarUI.TrackListener`

### Field Summary

### Fields inherited from class javax.swing.plaf.basic.BasicScrollBarUI

`buttonListener, decrButton, DECREASE_HIGHLIGHT, decrGap, incrButton, INCREASE_HIGHLIGHT, incrGap, isDragging, maximumThumbSize, minimumThumbSize, modelListener, NO_HIGHLIGHT, propertyChangeListener, scrollbar, scrollBarWidth, scrollListener, scrollTimer, thumbColor, thumbDarkShadowColor, thumbHighlightColor, thumbLightShadowColor, thumbRect, trackColor, trackHighlight, trackHighlightColor, trackListener, trackRect`

### Fields inherited from interface javax.swing.SwingConstants

`BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

### Constructor Summary

Constructors
`IAppScrollBarUI()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `areButtonsSeparate()`
`static javax.swing.plaf.ComponentUI` `createUI​(javax.swing.JComponent c)`
`static void` `setButtonsSeparate​(boolean buttonsSeparate)`

### Methods inherited from class com.explodingpixels.widgets.plaf.SkinnableScrollBarUI

`createTrackListener, getMinimumThumbSize, getPreferredSize, getThumbBounds, getTrackBounds, installComponents, installListeners, installUI, layoutContainer, paintDecreaseHighlight, paintIncreaseHighlight, setThumbBounds, uninstallComponents`

### Methods inherited from class javax.swing.plaf.basic.BasicScrollBarUI

`addLayoutComponent, configureScrollBarColors, createArrowButtonListener, createDecreaseButton, createIncreaseButton, createModelListener, createPropertyChangeListener, createScrollListener, getMaximumSize, getMaximumThumbSize, getSupportsAbsolutePositioning, installDefaults, installKeyboardActions, isThumbRollover, layoutHScrollbar, layoutVScrollbar, minimumLayoutSize, paint, paintThumb, paintTrack, preferredLayoutSize, removeLayoutComponent, scrollByBlock, scrollByUnit, setThumbRollover, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMinimumSize, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IAppScrollBarUI

    public IAppScrollBarUI()

### Method Detail

#### createUI

    public static javax.swing.plaf.ComponentUI createUI​(javax.swing.JComponent c)

#### areButtonsSeparate

    public static boolean areButtonsSeparate()

#### setButtonsSeparate

    public static void setButtonsSeparate​(boolean buttonsSeparate)